Build Error with current GDP Koelsch branch

Tom Pollard tom.pollard at codethink.co.uk
Thu Jan 28 06:02:46 EST 2016


Hi Stephen,

It looks like something in the recent commits to the Koelsch branch of
genivi-demo-platform have broken the build, as seen in the go.genivi
pipeline and locally.

From
http://git.projects.genivi.org/?p=genivi-demo-platform.git;a=commit;h=860d0c4c7c337c91bbbc3ff156cf328b2bbfac72
 and onwards the build fails due to this at do_rootfs:

'ERROR: gstreamer1.0-plugins-bad-faad not found in the base feeds
(koelsch cortexa15hf-vfp-neon cortexa15hf-vfp armv7ahf-vfp-neon
armv7ahf-vfp armv6hf-vfp armv5ehf-vfp armv5hf-vfp noarch any all)'

It is only happening for the koelsch branch, and the silk and porter are
using the same submodule commits of meta-genivi-demo and meta-renesas,
could it be a required change to local.conf that is needed?

I believe you are away this week, so I could revert back to the commit
before then for the time
being:(f16a338f94100285bf567d8fd6b4753a3112469d) and would advise anyone
wishing to build the koelsch GDP image to do the same. If you checkout
the commit and re-run source init.sh, the build environment will be
reset to that point in time.

Thanks,

Tom Pollard



More information about the genivi-projects mailing list